EDIT - feature request #7887

Use DTOs in term editor
11/05/2018 01:49 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal

Description

Related issues:

Related to EDIT - feature request #7875: Add multiple area selection to descr...
Related to EDIT - bug #7649: Term editor loads/saves extremely slow

Related to EDIT - bug #7367: Deleting a term in the term editor does not upda...
Related to EDIT - bug #6952: Deleting terms does not get reflected in the Ul ...

Related to EDIT - bug #6951: Drag and drop does not update term hierarchy in ...
Related to EDIT - feature request #8067: Remove immediate saving after operat...

Has duplicate EDIT - bug #7850: Further problems with term editor

Closed
Closed
Closed

In Progress
Closed
New
Duplicate

Associated revisions

Revision 8e85af8b - 11/05/2018 01:51 PM - Patrick Plitzner

ref #7887 Add operations framework to term editor

Revision ebd8810b - 11/05/2018 01:51 PM - Patrick Plitzner
ref #7887 Fix potential NPE

Revision 7e89fd99 - 11/05/2018 04:29 PM - Patrick Plitzner

ref #7887 Extract AbstractTermDto + add vocabulary dto service method

Revision 9f7d1f40 - 11/05/2018 04:34 PM - Patrick Plitzner
ref #7887 Use DTOs in term editor (experimental)

Revision ab4b0d27 - 11/06/2018 02:40 PM - Patrick Plitzner
ref #7887 Add idInVocabulary and kindOfUuid to DTO + refactoring

Revision 3e72f342 - 11/06/2018 02:40 PM - Patrick Plitzner
ref #7887 USe idInVocabulary and kindOfUuid of DTO

Revision ec95ad8e - 11/06/2018 03:11 PM - Patrick Plitzner
ref #7887 Change idInVocabulary to String

Revision 4b75986b - 11/06/2018 03:11 PM - Patrick Plitzner
ref #7887 Change idInVocabulary to String

Revision d02a5189 - 11/06/2018 03:59 PM - Patrick Plitzner

ref #7887 Adapt term creation handler/operation to DTO (experimental)

Revision f87155dc - 11/06/2018 05:41 PM - Patrick Plitzner
ref #7887 code cleanup

Revision 6baf8c40 - 11/07/2018 07:33 AM - Patrick Plitzner
ref #7887 Add service methods for term move and create

Revision b405585f - 11/07/2018 07:35 AM - Patrick Plitzner

ref #7887 Use service for term creation directly

Revision 1ce2be53 - 11/07/2018 08:19 AM - Patrick Plitzner

ref #7887 Add service method for term create

Revision fe08ca2d - 11/07/2018 08:20 AM - Patrick Plitzner

ref #7887 Use vocabulary service for term creation directly

Revision 75c87e6f - 11/07/2018 08:58 AM - Patrick Plitzner
ref #7887 Refactor IPostOperationEnabled.postOperation() to Object

Revision 5ee3fb57 - 11/07/2018 08:59 AM - Patrick Plitzner
ref #7887 Refactor AbstractPostOperation.postExecute() to Object

Revision 37¢60b14 - 11/07/2018 09:16 AM - Patrick Plitzner
ref #7887 Adapt postOperation in term editor

e do not set dirty flag
¢ expand parent node

Revision 67f98be5 - 11/07/2018 09:26 AM - Patrick Plitzner
ref #7887 Refactor isModifiable() property test

Revision ece2b239 - 11/07/2018 11:47 AM - Patrick Plitzner
ref #7887 Implement editing of DTOs in details view

Revision fd61512c¢ - 11/07/2018 03:05 PM - Patrick Plitzner
ref #7887 Adapt moving terms based on DTOs

Revision 6bae07b0 - 11/07/2018 03:05 PM - Patrick Plitzner
ref #7887 Adapt moving terms based on DTOs

Revision f740afa5 - 11/08/2018 08:58 AM - Patrick Plitzner

ref #7887 Implement moving terms for ordered terms

Revision 3d5dce41 - 11/08/2018 09:02 AM - Patrick Plitzner

ref #7887 Implement moving terms for ordered terms

Revision b3c5aff0 - 11/08/2018 09:49 AM - Patrick Plitzner

ref #7887 Fix term moving to new vocabulary

Revision d45330ac - 11/08/2018 09:50 AM - Patrick Plitzner
ref #7887 Add generalizations to term DTO

Revision 1955a290 - 11/08/2018 09:50 AM - Patrick Plitzner
ref #7887 Fix potential NPE

Revision 1a082a11 - 11/08/2018 09:53 AM - Patrick Plitzner

ref #7887 Add generalizations to term content provider

Revision 325e86c¢f - 11/08/2018 09:54 AM - Patrick Plitzner
ref #7887 Convert delete handler/operation to DTOs

Revision 8f2a9479 - 11/08/2018 11:15 AM - Patrick Plitzner
ref #7887 Get kindOfs in term content provider

Revision 897bf684 - 11/08/2018 11:16 AM - Patrick Plitzner
ref #7887 Fix kindOf query

Revision 5129bf4e - 11/08/2018 11:20 AM - Patrick Plitzner
ref #7887 Prompt user if editor is dirty

Revision ea7c58af - 11/08/2018 11:23 AM - Patrick Plitzner
ref #7887 i18n

Revision e9311cd0 - 11/08/2018 11:44 AM - Patrick Plitzner
ref #7887 Prompt user if editor is dirty (part II)

Revision 42ec127d - 11/08/2018 01:58 PM - Patrick Plitzner
ref #7887 Pass DTO to move method

Revision 8456b28f - 11/08/2018 03:53 PM - Patrick Plitzner
ref #7887 Pass DTO to move method

Revision 238ef41a - 11/09/2018 08:50 AM - Patrick Plitzner

ref #7887 Fix showViewer() for details view

Revision e6715122 - 11/09/2018 09:02 AM - Patrick Plitzner

ref #7887 Rename service methods

Revision a3¢c56b93 - 11/09/2018 09:16 AM - Patrick Plitzner
ref #7887 Use DTOs in term editor

Revision alab6a74 - 11/09/2018 09:18 AM - Patrick Plitzner

ref #7887 Implement term service methods based on DTOs

Revision eebb08aa - 11/09/2018 12:01 PM - Patrick Plitzner

ref #7887 Use term DTOs in feature selection dialog for feature trees

Revision 103f7f4a - 11/09/2018 01:52 PM - Patrick Plitzner
ref #7887 Use term DTOs for distribution wizards

Revision 4d8c9172 - 11/12/2018 08:20 AM - Patrick Plitzner
ref #7887 code cleanup

Revision 49f7b066 - 11/12/2018 08:30 AM - Patrick Plitzner

ref #7887 Sort vocabularies in term editor

Revision 7dd44098 - 11/12/2018 08:39 AM - Patrick Plitzner

ref #7887 Refresh term editor when new vocabulary is created

Revision b743b880 - 11/12/2018 09:00 AM - Patrick Plitzner
ref #7887 Speed up saving

® Fix multiple saving of the same term base

Revision 18154a72 - 11/12/2018 11:46 AM - Patrick Plitzner
ref #7887 Fix preference persisting (based on DTOs)

Revision 260688cb - 11/12/2018 11:46 AM - Patrick Plitzner

ref #7887 Catch potential preference initialization problem

03/20/2024

3/9



Revision 86aaf6da - 11/12/2018 11:48 AM - Patrick Plitzner
ref #7887 code cleanup

Revision b9ee0c73 - 11/13/2018 11:20 AM - Patrick Plitzner
ref #7887 Remove getParent()

Revision 1cac1886 - 11/13/2018 11:20 AM - Patrick Plitzner
ref #7887 Refactor TermDto usage

Revision 37d1c24f - 11/13/2018 11:20 AM - Patrick Plitzner
ref #7887 Add "parent" DTOs to TermDto

Revision e65bf3fb - 11/13/2018 11:20 AM - Patrick Plitzner
ref #7887 Set parent DTOs during initialization

Revision 20f51c0a - 11/13/2018 11:20 AM - Patrick Plitzner
ref #7887 Fix preference persisting (based on DTOs)

Revision 75be5411 - 11/13/2018 11:20 AM - Patrick Plitzner
ref #7887 code cleanup

Revision c6b9b74b - 11/13/2018 11:20 AM - Patrick Plitzner
ref #7887 Adapt to service layer changes

Revision 6a4bbc46 - 11/13/2018 11:20 AM - Patrick Plitzner
ref #7887 Fix javadoc

Revision 7b3ca53d - 11/13/2018 12:16 PM - Patrick Plitzner

ref #7887 Fix initial grayed state in checkbox composite

Revision f38ea76f - 11/13/2018 12:21 PM - Patrick Plitzner

ref #7887 Remove grayed value preferences from distributon wizards

Revision 73c47718 - 11/13/2018 12:24 PM - Patrick Plitzner
ref #7887 Code cleanup

Revision 573841a9 - 11/13/2018 12:27 PM - Patrick Plitzner

ref #7887 Remove unused classes

Revision 533¢3163 - 11/13/2018 01:27 PM - Patrick Plitzner

ref #7887 Return newly created DTO from service method

Revision 74515372 - 11/13/2018 01:27 PM - Patrick Plitzner

ref #7887 Select newly created term

Revision 2e222ab7 - 11/13/2018 01:39 PM - Patrick Plitzner

ref #7887 Correctly evaluate children in term content provider

Revision 3a082bf5 - 11/29/2018 09:03 AM - Patrick Plitzner
ref #7887 Enable supplemental data view for term DTOs

Revision ab71093a - 11/30/2018 11:08 AM - Patrick Plitzner
ref #7887 Fix possible NPE when dropping on same term

Revision ¢5802825 - 12/20/2018 10:13 AM - Katja Luther

ref #7887: fix deletion of terms
Revision b599010f - 01/18/2019 02:21 PM - Patrick Plitzner

ref #7887 Avoid moving a term onto itself or its children

Revision 178e65f9 - 01/18/2019 02:25 PM - Patrick Plitzner
ref #7887 i18n

Revision 2e93783e - 02/01/2019 11:52 AM - Patrick Plitzner

ref #7887 Terms cannot be dropped above or below TermVocabulary any more

Revision 300999¢0 - 02/01/2019 02:38 PM - Patrick Plitzner

ref #7887 Fixed term sorting for ordered terms

Revision 5dc5c2ed - 02/12/2019 11:29 AM - Patrick Plitzner

ref #7887 Compare labels on lower case strings

History

#1 - 11/05/2018 01:49 PM - Patrick Plitzner

- Related to feature request #7875: Add multiple area selection to descriptive data set editor added
#2 - 11/09/2018 02:54 PM - Katja Luther
some issues | recognized while testing:

o the details view updates with every keystroke

® sometimes saving takes really long
e after creating a new vocabulary the editor does not update, you have to reopen the editor to see the new vocabulary

#3 - 11/12/2018 08:59 AM - Patrick Plitzner

- Status changed from New to Resolved

- Assignee changed from Patrick Plitzner to Katja Luther

- Target version changed from Unassigned CDM tickets to Release 5.5
- % Done changed from 0 to 50

Katja Luther wrote:

some issues | recognized while testing:

e after creating a new vocabulary the editor does not update, you have to reopen the editor to see the new vocabulary

| fixed the refresh problem for new vocabularies.

¢ the details view updates with every keystroke

Do you mean keystrokes in the details view? | don't see such behavior but it may depend on the hardware.

e sometimes saving takes really long

This should also be fixed. It used to save the same element multiple times.

#4 - 11/12/2018 12:40 PM - Katja Luther

- Status changed from Resolved to Closed

looks fine now!

#5 - 11/12/2018 12:43 PM - Katja Luther
- Status changed from Closed to Feedback

One open issue:

when creating a new defined term, the selection is still on the vocabulary, for lists with several entries, it is difficult to find the new term
#6 - 11/12/2018 12:45 PM - Katja Luther

- Assignee changed from Katja Luther to Patrick Plitzner

#7 - 11/13/2018 01:42 PM - Patrick Plitzner
- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Katja Luther

Katja Luther wrote:
One open issue:

when creating a new defined term, the selection is still on the vocabulary, for lists with several entries, it is difficult to find the new term

This should be fixed now

#8 - 11/30/2018 11:15 AM - Patrick Plitzner

- Related to bug #7649: Term editor loads/saves extremely slow added

#9 - 11/30/2018 11:15 AM - Patrick Plitzner

@Katja: Please also check and close #7649 when this is reviewed.

#10 - 11/30/2018 11:59 AM - Patrick Plitzner
- Related to bug #7367: Deleting a term in the term editor does not update the Ul added

#11 - 11/30/2018 01:20 PM - Patrick Plitzner
- Related to bug #6952: Deleting terms does not get reflected in the Ul and in the DB added

#12 - 11/30/2018 01:23 PM - Patrick Plitzner
- Related to bug #6951: Drag and drop does not update term hierarchy in the Ul added

#13 - 12/20/2018 10:16 AM - Katja Luther
- Status changed from Resolved to Closed
- Assignee changed from Katja Luther to Patrick Plitzner

- % Done changed from 50 to 100

after creating a new namedArea the deletion does not work because it is referenced by its parent. This is fixed with revision c5802825b

everything else seems to work fine.

#14 - 01/16/2019 11:55 AM - Andreas Miiller
- Status changed from Closed to Feedback
- % Done changed from 100 to 50

Ein Problem ... ist, dass wenn ich ein Area mit mind. 1 Kind habe, und dieses Area dann zu einem Kind von sich selbst mache (schiebe)
versehentlich, dann verschwindet der Term ganzlich samt aller Kinder. IN der DB ist das dann als Kind von sich selbst gespeichert. Ein solcher Drop
sollte mdglichst gar nicht erlaubt sein.

#15 - 01/16/2019 11:56 AM - Andreas Miiller

... und wenn ich einen Term auf Top Level oberhalb eines Vokabulars versuche zu schieben wird er an die letzte Position dieses Vokabulars
geschoben. Wenn dann wirde es Sinn machen ihn an die letzte Position des dariiber liegenden Vokabulars zu schieben, am besten wére es aber,
ein drop auf Toplevel (also im Prinzip auf Vokabularebene) tiberhaupt nicht zuzulassen.

#16 - 01/16/2019 01:34 PM - Andreas Miiller
- Related to bug #7850: Further problems with term editor added

#17 - 01/16/2019 01:37 PM - Andreas Miiller
- Related to deleted (bug #7850: Further problems with term editor)
#18 - 01/16/2019 01:37 PM - Andreas Miiller
- Has duplicate bug #7850: Further problems with term editor added

#19 - 01/18/2019 02:28 PM - Patrick Plitzner
Andreas Miller wrote:
Ein Problem ... ist, dass wenn ich ein Area mit mind. 1 Kind habe, und dieses Area dann zu einem Kind von sich selbst mache (schiebe)

versehentlich, dann verschwindet der Term génzlich samt aller Kinder. IN der DB ist das dann als Kind von sich selbst gespeichert. Ein solcher
Drop sollte méglichst gar nicht erlaubt sein.

this is fixed now

#20 - 01/18/2019 02:29 PM - Patrick Plitzner
- Assignee changed from Patrick Plitzner to Andreas Mliller
- % Done changed from 50 to 60
Andreas Miller wrote:
... und wenn ich einen Term auf Top Level oberhalb eines Vokabulars versuche zu schieben wird er an die letzte Position dieses Vokabulars

geschoben. Wenn dann wirde es Sinn machen ihn an die letzte Position des dariiber liegenden Vokabulars zu schieben, am besten wére es
aber, ein drop auf Toplevel (also im Prinzip auf Vokabularebene) iberhaupt nicht zuzulassen.

We have to allow dropping onto vocabularies in order to either move a term from one vocabulary to another or to move it from a lower level to the top
level of its vocabulary

#21 - 01/19/2019 11:22 AM - Andreas Miiller
- Assignee changed from Andreas Muiller to Patrick Plitzner
Patrick Plitzner wrote:
Andreas Miiller wrote:
... und wenn ich einen Term auf Top Level oberhalb eines Vokabulars versuche zu schieben wird er an die letzte Position dieses

Vokabulars geschoben. Wenn dann wiirde es Sinn machen ihn an die letzte Position des dartiber liegenden Vokabulars zu schieben, am
besten ware es aber, ein drop auf Toplevel (also im Prinzip auf Vokabularebene) tiberhaupt nicht zuzulassen.

We have to allow dropping onto vocabularies in order to either move a term from one vocabulary to another or to move it from a lower level to
the top level of its vocabulary

yes, but | drop it above the vocabulary, this should not result in adding it to the vocabulary, but, if at all to the above vocabulary

#22 - 02/01/2019 11:52 AM - Patrick Plitzner
- Status changed from Feedback to Resolved
- Assignee changed from Patrick Plitzner to Andreas Muiller

- % Done changed from 60 to 80

Terms cannot be dropped above or below TermVocabulary any more

#23 - 02/01/2019 12:56 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Patrick Plitzner

- % Done changed from 80 to 60

Patrick Plitzner wrote:

Terms cannot be dropped above or below TermVocabulary any more

This seems to work now.
#24 - 02/01/2019 01:02 PM - Andreas Miiller

Ordering does not seem to work anymore. | tested with a user defined named area vocabulary with 7 no hiearchical areas.

| tried to move an area but nothing happened in Ul. Also not after reopening Term Editor and also not after TaxEditor restart. Though something
changed in NamedArea.orderindex in DB. But this also looks corrupted. E.g. after a while orderindex 0 did not exist anymore. Maybe the later also
might be a cdmlib issue.

This is an important issue but we have to have in mind that ordering will be handled differently in future cdmlib versions so only simple fixes should be
implemented.

#25 - 02/01/2019 02:39 PM - Patrick Plitzner

- Status changed from Feedback to Resolved

- Assignee changed from Patrick Plitzner to Andreas Mliller

Andreas Muller wrote:
Ordering does not seem to work anymore. | tested with a user defined named area vocabulary with 7 no hiearchical areas.
| tried to move an area but nothing happened in Ul. Also not after reopening Term Editor and also not after TaxEditor restart. Though something
changed in NamedArea.orderindex in DB. But this also looks corrupted. E.g. after a while orderindex 0 did not exist anymore. Maybe the later
also might be a cdmlib issue.
This is an important issue but we have to have in mind that ordering will be handled differently in future cdmlib versions so only simple fixes

should be implemented.

This is fixed now. | forgot to return the order index when fixing another sorting issue.

#26 - 02/04/2019 12:13 PM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Muiller to Patrick Plitzner

- % Done changed from 60 to 80

Patrick Plitzner wrote:

Andreas Miiller wrote:

Ordering does not seem to work anymore. | tested with a user defined named area vocabulary with 7 no hiearchical areas.
| tried to move an area but nothing happened in Ul. Also not after reopening Term Editor and also not after TaxEditor restart. Though
something changed in NamedArea.orderindex in DB. But this also looks corrupted. E.g. after a while orderindex 0 did not exist anymore.
Maybe the later also might be a cdmlib issue.
This is an important issue but we have to have in mind that ordering will be handled differently in future cdmlib versions so only simple fixes
should be implemented.

This is fixed now. | forgot to return the order index when fixing another sorting issue.

It seems to work now in user interface. Still the orderIndex in the DB does have missing number in between if moving back and forth in the Ul. This
might be a cdmlib issue. As ordering will be changed in future anyway this is not considered to be critical.

#27 - 02/04/2019 12:17 PM - Andreas Miiller

Are there still open issues that need to be handled in separate tickets? | remember you said that vocabularies do not yet use DTOs. Is this fixed or
does an other ticket exist? Please link if the later is true.

Also we decided that immediate saving for moving or deleting should be removed. This requires a new ticket but | can't see a link. Please create new
ticket or link to existing ticket.

Afterwards this ticket can be closed.

#28 - 02/06/2019 01:23 PM - Patrick Plitzner
- Status changed from Feedback to Closed
- % Done changed from 80 to 100

Andreas Muller wrote:
Are there still open issues that need to be handled in separate tickets? | remember you said that vocabularies do not yet use DTOs. Is this fixed
or does an other ticket exist? Please link if the later is true.

Also we decided that immediate saving for moving or deleting should be removed. This requires a new ticket but | can't see a link. Please create
new ticket or link to existing ticket.

Afterwards this ticket can be closed.

Added a new ticket for saving -> #8067

| was wrong, the term editor already works with DTOs for term vocabularies.

#29 - 02/06/2019 01:23 PM - Patrick Plitzner

- Related to feature request #8067: Remove immediate saving after operations from term editor added
